Bug 73528 - Package installs files into incorrect directory
Summary: Package installs files into incorrect directory
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: foomatic   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-05 19:03 UTC by Ben Herrick
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-18 17:31:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch in the comment has line breaks introduced by the browser. Hopefully this will work better. (1.28 KB, patch)
2002-09-05 19:09 UTC, Ben Herrick
no flags Details | Diff

Description Ben Herrick 2002-09-05 19:03:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
foomatic is installing its vendor supplied files into the site_perl modules
directory. All other Redhat rpms for perl modules are installing their files
into the vendor_perl directory.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh foomatic-1.1-0.20020313.3.i386.rpm
2. Check /usr/lib/perl5/site_perl/5.6.1/
3. Be surprised to find files from an RPM there. <gasp> :)
	

Actual Results:  Files showed up in the wrong place.

Expected Results:  Files should show up in /usr/lib/perl5/vendor_perl/5.6.1/

Additional info:

The following patch to the Redhat provided .spec file should fix this problem.
Thanks for your time.

--- ./foomatic.spec	Thu Apr  4 02:27:29 2002
+++ ./foomatic.spec.vendordir	Thu Sep  5 11:50:07 2002
@@ -114,12 +114,13 @@
 %install
 rm -rf $RPM_BUILD_ROOT
 
-eval `perl '-V:installsitelib'`
-mkdir -p $RPM_BUILD_ROOT/$installsitelib
-export INSTALLSITELIB=$RPM_BUILD_ROOT/$installsitelib
+eval `perl '-V:installvendorlib'`
+mkdir -p $RPM_BUILD_ROOT/$installvendorlib
+export INSTALLVENDORLIB=$RPM_BUILD_ROOT/$installvendorlib
 make	PREFIX=%{_prefix} \
 	INSTALLPREFIX=%buildroot \
-
INSTALLSITELIB=$RPM_BUILD_ROOT/$installsitelib \
+
INSTALLVENDORLIB=$RPM_BUILD_ROOT/$installvendorlib \
+
INSTALLDIRS=vendor \
 	install
 
 # Remove drivers with no command line.
@@ -145,7 +146,7 @@
 export FOOMATIC_LIBDIR="%{buildroot}/%{_datadir}/foomatic"
 export FOOMATIC_BINDIR="%{buildroot}/%{_bindir}"
 export FOOMATIC_SBINDIR="%{buildroot}/%{_sbindir}"
-export FOOMATIC_PERLINC="%{buildroot}/$installsitelib"
+export FOOMATIC_PERLINC="%{buildroot}/$installvendorlib"
 %{SOURCE3} "$RPM_BUILD_ROOT/%{_datadir}/cups/model/foomatic" \
 	"$RPM_BUILD_DIR/%{name}"
 mkdir -p $RPM_BUILD_ROOT/%{_bindir}
@@ -179,7 +180,7 @@
 %doc README USAGE ChangeLog
 %{_bindir}/*
 %{_sbindir}/*
-%{_libdir}/perl5/site_perl/*/Foomatic
+%{_libdir}/perl5/vendor_perl/*/Foomatic
 %dir %{_libdir}/cups
 %{_libdir}/cups/*
 %dir /var/cache/foomatic

Comment 1 Ben Herrick 2002-09-05 19:09:23 UTC
Created attachment 75124 [details]
The patch in the comment has line breaks introduced by the browser. Hopefully this will work better.

Comment 2 Tim Waugh 2002-10-21 17:04:28 UTC
Fixed package is foomatic-2.0.2-1, which will appear in rawhide shortly.


Note You need to log in before you can comment on or make changes to this bug.